summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-26 07:14:57 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-12-26 07:14:57 +0000
commitdee3146a71944bb6285270ca2b9a38437d955272 (patch)
tree5d1914f1ae15bc8cfbcbcdb996914d24cdfa357a /dev-python
parent0b43c0871990bc03ca80c6489c7e1ec7ce546310 (diff)
downloadbaldeagleos-repo-dee3146a71944bb6285270ca2b9a38437d955272.tar.gz
baldeagleos-repo-dee3146a71944bb6285270ca2b9a38437d955272.tar.xz
baldeagleos-repo-dee3146a71944bb6285270ca2b9a38437d955272.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cmd2/Manifest2
-rw-r--r--dev-python/cmd2/cmd2-3.1.0.ebuild (renamed from dev-python/cmd2/cmd2-3.0.0_rc1.ebuild)8
-rw-r--r--dev-python/dasbus/dasbus-1.7.ebuild2
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/latexrestricted/latexrestricted-0.6.2.ebuild2
-rw-r--r--dev-python/librt/Manifest2
-rw-r--r--dev-python/librt/librt-0.7.5.ebuild35
-rw-r--r--dev-python/pycpio/pycpio-1.5.6.ebuild2
-rw-r--r--dev-python/typer/Manifest2
-rw-r--r--dev-python/typer/typer-0.21.0.ebuild68
13 files changed, 136 insertions, 16 deletions
diff --git a/dev-python/cmd2/Manifest b/dev-python/cmd2/Manifest
index 2aa2c467266a..ece6c40a8b64 100644
--- a/dev-python/cmd2/Manifest
+++ b/dev-python/cmd2/Manifest
@@ -1,4 +1,4 @@
DIST cmd2-2.6.2.tar.gz 592373 BLAKE2B 917ecd684c60c0a6c1b273ef52fa1e317f71522dfd6fc8a9d2c1ee7fa28788b734c6536a9481ac56ef8409002f503837ae51191478a68e364c4780e9feb4b8e8 SHA512 75531dca561427eef259765a55c6385401edd8bc9d5c4cf08ab97e53e118334be932ee5c59f9e1fcd529a7a5f7416e654ee1d618d91623068ef21bcc66dcfdd7
DIST cmd2-2.7.0.tar.gz 593131 BLAKE2B 2488c3c9d8e770fca8046fbd5d9537349cfd2b45cb32ed5775cd0b451ae25425909fadb7414d202aa52587e691e2ef8a39b3fe691e345497a0523e17281228df SHA512 6d2e7f3c9e125782da8983fb27a53d5db0c0cc35a8c86eb129961596ff3ff5751622894ee8fb355b0330de3b2cbb7cf18eddaba2ad0b8781e80b479cf53a1c89
DIST cmd2-3.0.0.tar.gz 1002183 BLAKE2B 0531a4e6cdb8b169e28c3eb5af12b2bfc75824e0f1659f884d7bfc6a482ac3c1d445cdde8c9d54a22f4bc4f899b2beb78199f089e13a1e017395536e59687026 SHA512 b52ea831fce9bc15e22b6cc487c5b2ba2f61ae0427c81113213cfa825c9f898798e5a0fe23ad4545daf80d314b68d3f83fb2984ef757b29a4d4da933419a228b
-DIST cmd2-3.0.0rc1.tar.gz 1001904 BLAKE2B 5be49c9cb1d474df7c25b0be719f203c5ffdf2d3fb76c28dacc7c1144105c05a4d97d163725cb522c4aae3d12b69c865945d26d66b4ae34fbecd34e735b76918 SHA512 bdbf01757657be026f8ff3fa54a827aadc07ae0f56190cc217c54aab3a25ba536bca3d703dd6ea6f4dad1bab0fe66fb0fdfc0df9d559907b11696f57af98a5e8
+DIST cmd2-3.1.0.tar.gz 1002416 BLAKE2B d21981abc56e7493f725a7b6adfca8d46c694056069148764ec258a66e3a28a4ba2bf730ffd2376f4654c89d8a042cbcaef196bea0bf723190b2e3ed0dca8b1c SHA512 1135012fee82c1a43650a7ee3a3abe517a1803ad424be3bfdb9c902a5d581f9db04742a25b2a0a84e24855ff72beb31c691af39de6c69385be189a1381d61176
diff --git a/dev-python/cmd2/cmd2-3.0.0_rc1.ebuild b/dev-python/cmd2/cmd2-3.1.0.ebuild
index 82c1e978b7fc..9e01156279ce 100644
--- a/dev-python/cmd2/cmd2-3.0.0_rc1.ebuild
+++ b/dev-python/cmd2/cmd2-3.1.0.ebuild
@@ -16,9 +16,10 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~mips ~ppc64 ~riscv ~s390 ~x86"
RDEPEND="
- >=dev-python/pyperclip-1.8[${PYTHON_USEDEP}]
+ >=dev-python/pyperclip-1.8.2[${PYTHON_USEDEP}]
>=dev-python/rich-14.1.0[${PYTHON_USEDEP}]
>=dev-python/rich-argparse-1.7.1[${PYTHON_USEDEP}]
"
@@ -37,7 +38,8 @@ BDEPEND="
)
"
-EPYTEST_PLUGINS=( pytest-{mock,rerunfailures} )
+EPYTEST_PLUGINS=( pytest-mock )
+EPYTEST_RERUNS=5
distutils_enable_tests pytest
src_test() {
@@ -48,7 +50,7 @@ src_test() {
python_test() {
# TODO: tests_isolated?
- nonfatal epytest -o addopts= --reruns=5 tests || die
+ nonfatal epytest -o addopts= tests || die
}
pkg_postinst() {
diff --git a/dev-python/dasbus/dasbus-1.7.ebuild b/dev-python/dasbus/dasbus-1.7.ebuild
index a1f2c685e35f..29e27093b782 100644
--- a/dev-python/dasbus/dasbus-1.7.ebuild
+++ b/dev-python/dasbus/dasbus-1.7.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/dasbus-project/${PN}/archive/refs/tags/v${PV}.tar.gz
LICENSE="LGPL-2.1"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="~amd64 ~arm64 ~riscv"
RDEPEND="dev-python/pygobject:3[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}"
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index d12ab8aeaca8..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
new file mode 100644
index 000000000000..637368d2f237
--- /dev/null
+++ b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
@@ -0,0 +1,13 @@
+Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
+
+--- a/setup.py
++++ b/setup.py
+@@ -18,7 +18,7 @@ setup(
+ author_email='michal.danilak@gmail.com',
+ url='https://github.com/Mimino666/langdetect',
+ keywords='language detection library',
+- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
++ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
+ include_package_data=True,
+ install_requires=['six'],
+ license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 271137de443d..7100f5f39dd8 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,6 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
+PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
+
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..c0f74ac187e2 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>pastalian46@gmail.com</email>
+ <name>Takuya Wakazono</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild b/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
index fed9ebfb01a3..d2ba937ec955 100644
--- a/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
+++ b/dev-python/latexrestricted/latexrestricted-0.6.2.ebuild
@@ -20,4 +20,4 @@ SRC_URI="
LICENSE="LPPL-1.3c"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ppc ppc64 x86"
+KEYWORDS="~alpha amd64 arm arm64 ppc ppc64 ~riscv x86"
diff --git a/dev-python/librt/Manifest b/dev-python/librt/Manifest
index 6bfeb7dededc..4e1f4cf53c5a 100644
--- a/dev-python/librt/Manifest
+++ b/dev-python/librt/Manifest
@@ -2,3 +2,5 @@ DIST librt-0.7.3.tar.gz 144549 BLAKE2B bd2dfcb0e38ec3661dbca593ea0dd04ed53cb83a2
DIST librt-0.7.3.tar.gz.provenance 9031 BLAKE2B 29bb40bfd588ba30a4e8d011352efa59a862f5c542721f263ea07a0999ae4b1fa594a1474c4ed2fe463af95e16e612cf0ce5d9e80d97ac46f829e6fadccbe4c4 SHA512 6c98d14ed21339347b5cd12bae08333056b6172aa7296f9eb9d2c4282982c5c3df270e9e33b880a58306984bc0b60b33a456d5710a1b47199d9ddce3213e3e11
DIST librt-0.7.4.tar.gz 145862 BLAKE2B 5dd5e9c137b3773f9a78839c947af989bd6e97ea412510a86bf093aa95c0306bd2528321e3c78c2b2d14538e8b210b7019cc82ee0220877f301b45aa62149334 SHA512 af868c77dbbe2076a52e7096b3ba425cf8a609a91da96f6c5312ae5daf700ffb33f136378d4aa66dce189035279b05d92b21848b43c6b3677b5d64ef28d003c7
DIST librt-0.7.4.tar.gz.provenance 9313 BLAKE2B a78fd3a2bb09d776b9bdd256d2b58645a18270c0da735f659b8b6711002d8206896d66b325796d50ce08c9ecd2222939de7ac00c798c9ff06d41c9f01fd0ddb6 SHA512 af5d6db996aa8022c4ae14c4a57a3fe32ac2914fe15b0999ce69522e658c904ab7de06384dcacffcaa955180099a80eaa4c65da46cb1696ef57463c27dabff1d
+DIST librt-0.7.5.tar.gz 145868 BLAKE2B 152c80323d664b0843a21ddce07ca0f7f396b8520f3252047a6c26646f017404ae62a54e7aa6bdaa23adab971e01ad293cf042a94ae60bb9baa511dffc0d3c20 SHA512 e8d4066df1f09b7381babf1752a0823eaa70c0dbf8a9fb7f224730198c06cfdf5ce6d3cad5fba2c8118c860ab51d44689e902cef7a10ef90f1d6f07fb68a1822
+DIST librt-0.7.5.tar.gz.provenance 9219 BLAKE2B e64801b6b8c595d6e893ac6ca70908b9d249858993a817d1a42ac2fe9e48abcc6c6f248aab5763067134d99a35ae7b78eecbbb66e8fef69d82ad8727716ec1ae SHA512 1c425d2849a43a17f5b95bfb5def1a0733909a6d9e252bd1006e3af9c081ce90520109ca246221fd617190484d934d1f90ef6f685cc333d1610ca1d7d58b60ef
diff --git a/dev-python/librt/librt-0.7.5.ebuild b/dev-python/librt/librt-0.7.5.ebuild
new file mode 100644
index 000000000000..0e5eb1b03aab
--- /dev/null
+++ b/dev-python/librt/librt-0.7.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/mypyc/librt
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Mypyc runtime library"
+HOMEPAGE="
+ https://github.com/mypyc/librt/
+ https://pypi.org/project/librt/
+"
+
+LICENSE="MIT PSF-2.4"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390"
+
+BDEPEND="
+ test? (
+ dev-python/mypy-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf librt || die
+ epytest smoke_tests.py
+}
diff --git a/dev-python/pycpio/pycpio-1.5.6.ebuild b/dev-python/pycpio/pycpio-1.5.6.ebuild
index 28cd2882cf3f..a5139ea03d39 100644
--- a/dev-python/pycpio/pycpio-1.5.6.ebuild
+++ b/dev-python/pycpio/pycpio-1.5.6.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~arm64"
+KEYWORDS="amd64 arm64"
RDEPEND="
>=dev-python/zenlib-3.0.2[${PYTHON_USEDEP}]
diff --git a/dev-python/typer/Manifest b/dev-python/typer/Manifest
index 2572861b9e7d..40301d63bac4 100644
--- a/dev-python/typer/Manifest
+++ b/dev-python/typer/Manifest
@@ -2,3 +2,5 @@ DIST typer-0.20.0.tar.gz 106492 BLAKE2B 2efc70beced0f7c29e2b31b997cafc27932048d8
DIST typer-0.20.0.tar.gz.provenance 9125 BLAKE2B a4ad62d4913fd31b565e8ac9e6ad128df8789451341565ae4f4240276074dad4202d5468af3ec7f15e7cf5e099d01b4d357cf06a0294d1a6b28c392da82f66fb SHA512 4c351c9ae252290cfa83cd9ae70ea74f7be9cc3c97fc6bb306d7c678763a50bdda0c34eedbf81246f69be77f0ad1fd28de15730d348c7c0a947efc41db27f50b
DIST typer-0.20.1.tar.gz 105968 BLAKE2B 40f354116d0116062568debadb3f403a1a36437e0c1f465d97489900e8f02e75d8d5acd83452a524a9f2e434008ab9d870a310691c98aa4305a9aa84f909ee57 SHA512 f77b35b648c020fa0ac748502c6ec2273a8952aba997e1363163c4f754e4c992fa183208bd82a5b533a3b415659340f77b757668494f47f39b8077e5e30c80e9
DIST typer-0.20.1.tar.gz.provenance 9411 BLAKE2B 0249c5b7111a2fc631b1624e2573a96648561ef11e121e593f51c49bd59ec69fb15105f26688df8e479253c67ee654c4dbfaa0191e81b1c2e5e94cbdba91bd31 SHA512 cc88c2661ee8228e52bbb290a96cda36c61ca97e5deb9ed61d4aad73e21f56a1f8293f6f3affc688e241c206457534ba1fbb9c1e0ac63af6027def0c370dcacf
+DIST typer-0.21.0.tar.gz 106781 BLAKE2B 12d426b0a4fe7b515adfdb66b9d45b97ea8df540607462cd0fff5e40ccd8eee6965bc36a5f85aa7a3d373f11f5e083a9ef0beea51c3869a331bc75e3c871b3e6 SHA512 2cbcb31fa98e4c18a62a598b04dce584d9f63b92bf4d0b1376aaa24e327e33b383f6fa840870f37cf7a4e9f35e159c6b9eb570870c1008d97ce2acee0d87346c
+DIST typer-0.21.0.tar.gz.provenance 9031 BLAKE2B 99ff1f36faba9fdf49bd52ca84e0aab67741e56d8cb4ead915ca436cb36b47a871886af7c414c27b2eb08a1d7ea8dbdb0468f1bd3393d8b653b693b881d7672a SHA512 75088b0d6076cc5eb4c5587074d2f6bc7e93551d634b79a3aa064e375970c4e0c99b2931e9bb8c2a70f7f9299d5dd8d8085cb697baa65ff02c68c2e306832b26
diff --git a/dev-python/typer/typer-0.21.0.ebuild b/dev-python/typer/typer-0.21.0.ebuild
new file mode 100644
index 000000000000..6c3011a1ea35
--- /dev/null
+++ b/dev-python/typer/typer-0.21.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYPI_VERIFY_REPO=https://github.com/fastapi/typer
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 shell-completion pypi
+
+DESCRIPTION="Build great CLIs. Easy to code. Based on Python type hints"
+HOMEPAGE="
+ https://typer.tiangolo.com/
+ https://github.com/fastapi/typer/
+ https://pypi.org/project/typer/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/click-8.0.0[${PYTHON_USEDEP}]
+ >=dev-python/rich-10.11.0[${PYTHON_USEDEP}]
+ >=dev-python/shellingham-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4.3[${PYTHON_USEDEP}]
+ cli? ( !dev-lang/erlang )
+"
+BDEPEND="
+ test? (
+ dev-python/coverage[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ if ! use cli; then
+ sed -i -e '/typer\.cli/d' pyproject.toml || die
+ fi
+}
+
+python_test() {
+ # See scripts/tests.sh
+ local -x TERMINAL_WIDTH=3000
+ local -x _TYPER_FORCE_DISABLE_TERMINAL=1
+ local -x _TYPER_RUN_INSTALL_COMPLETION_TESTS=1
+
+ epytest
+}
+
+python_install() {
+ if use cli && [[ ! ${COMPLETIONS_INSTALLED} ]]; then
+ local -x _TYPER_COMPLETE_TEST_DISABLE_SHELL_DETECTION=1
+ newbashcomp - typer < <(typer --show-completion bash || die)
+ newzshcomp - typer < <(typer --show-completion zsh || die)
+ newfishcomp - typer < <(typer --show-completion fish || die)
+ COMPLETIONS_INSTALLED=1
+ fi
+
+ distutils-r1_python_install
+}